Description

Trac offers some really nice features in the repository code browser, which Redmine currently lacks.

For examples those features I think would be nice to have in Redmine and already present in the Trac code browser:

- Inline diff: Trac shows which exact characters of a line have been changed and hightlights them in a different color (darker green /

darker red compared to the color of the surrounding characters)

- Browsing through folders at a certain revision

- Cliking on a revision number brings you straight to the diff view, no second click on "View differences" necessary

- The ChangeSet view is very well structured, with messages, propchanges and meta information on top and diff below

- The diff view of ChangeSets has got various options: Inline vs. Side-by-Side view, Ignoring whitespace changes etc.

- ChangeSets can be downloaded as "Unified Diff" patches or "Zip Archive"

- File-renames are listed properly in the ChangeSet view instead of showing a separate add/remove (see also #804)

Would it be possible to port some code from Trac to Redmine?

It would be awesome to see some or all of those features in Redmine, too!

Related issues:

Related to Redmine - Feature #804: Proper reporting of renames in the Reposit... Closed 2008-03-07

Related to Redmine - Feature #1311: Subversion: Show revision histories for b... New 2008-05-27

Related to Redmine - Feature #4266: Display changeset comment on repository d... Closed 2009-11-23

Related to Redmine - Feature #2372: Ideas for the Revisions page New 2008-12-22

Related to Redmine - Feature #3988: Show diff in revision page Reopened 2009-10-07

Associated revisions

Revision 1549 - 2008-06-15 16:19 - Jean-Philippe Lang

Prettier url for changesets (#1443).

Revision 1554 - 2008-06-15 17:56 - Jean-Philippe Lang

Adds a field on the repository view to browse at specific revision (#1443).

History

#1 - 2008-06-13 16:49 - Ingmar S

One more thing is the URLs: They look nicer in Trac as well.

While Trac has ChangeSet URLs like this:

http://trac.edgewall.org/changeset/7207

the Redmine ChangeSet URLs don't look quite as nice:

http://www.redmine.org/repositories/revision/redmine?rev=1524

...but of course the Trac doesn't have real multi project support, which makes good looking URLs more easy for them.

#2 - 2008-06-29 04:13 - youngseok yi

+1, ChangeSets as zip archive, it is easy approach for those who are not familiar with unified diff format.

Ingmar S wrote:
http://trac.edgewall.org/changeset/7207
http://www.redmine.org/repositories/revision/redmine?rev=1524


- ChangeSets can be downloaded as "Unified Diff" patches or "Zip Archive"

#3 - 2011-01-16 19:43 - Kimus Linuxus

+1 for ChangeSets can be downloaded as "Unified Diff" patches or "Zip Archive"

2 year old feature?! I use this feature in trac very often... :-S

#4 - 2011-06-13 23:18 - Brian Carlton

+1 for highlighting characters that changed. I use that in WinMerge frequently. I also use ignore whitespace change too, which can result in huge

changes shown in Redmine.

#5 - 2012-02-01 08:51 - Wojtek …

+1 for ignoring white-space... it is VERY useful at times when someone committed a file with a lot of 'formatting' changes...
